%define	major	10
%define	oname	nice
%define	libname		%mklibname %{oname} %major
%define develname	%mklibname %{oname} -d
%define gmajor		0.1

Name:		libnice
Version:	0.1.13
Release:	%mkrel 1
Summary:	Implementation of the IETF's draft Interactive Connectivity Establishment standard
License:	GPLv2+
Group:		System/Libraries
URL:		http://nice.freedesktop.org/wiki/
Source:		http://nice.freedesktop.org/releases/%{name}-%{version}.tar.xz
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
#----------------------------------------------
BuildRequires: %{_lib}glib2.0_0-devel
BuildRequires: %{_lib}gstreamer0.10_0.10-devel
BuildRequires: %{_lib}gupnp-igd-devel
BuildRequires: %{_lib}xml2-devel
BuildRequires:	%{_lib}girepository-devel 
BuildRequires:	gtk-doc
#---------------------------------------------
Requires:	%{libname} = %{version}


%description
Nice is an implementation of the IETF's draft Interactive Connectivity Establishment
standard (ICE). It provides GLib-based library, libnice.

ICE is useful for applications that want to establish peer-to-peer UDP data streams.
It automates the process of traversing NATs and provides security against some attacks.

Existing standards that use ICE include the Session Initiation Protocol (SIP) and Jingle,
XMPP extension for audio/video calls.

Nice includes integration with GStreamer. It is used by Farsight for RTP transport. 

%package -n	%{libname}
Summary:	Dynamic libraries from %{oname}
Group:		System/Libraries
Provides: 	%{name} = %{version}-%{release}
Obsoletes:	%{_lib}nice0

%description -n	%{libname}
Dynamic libraries from %{name}.

%package -n	%{develname}
Summary: 	Header files, libraries and development documentation for %{oname}
Group:		Development/Libraries
Requires:	%{libname} = %{version}
Provides:	%{oname}-devel = %{version}-%{release}

%description -n	%{develname}
This package contains the header files, static libraries and development
documentation for %{oname}. If you like to develop programs using %{oname},
you will need to install %{oname}-devel.

%package 	utils
Summary:	Dynamic libraries from %{oname}
Group:		System/Libraries
Requires:	%{libname} = %{version}
Provides: 	%{name}-utils = %{version}-%{release}
Obsoletes:	libnice

%description 	utils
This package contains various tools from %{name}.

%package examples
Summary:	Example binaries for %{oname}
Group:		Networking/Other

%description examples
This package contains the example binaries for %{oname}.

%package -n gstreamer0.10-%{oname}
Summary:	Gstreamer elements from %{oname}
Group:		System/Libraries
Conflicts:	%{_lib}nice0 < 0.1.0
Conflicts:	%{_lib}nice1 < 0.1.0

%description -n	gstreamer0.10-%{oname}
Gstreamer 0.10 elements from %{oname}.

%package -n gstreamer1.0-%{oname}
Summary:	Gstreamer elements from %{oname}
Group:		System/Libraries

%description -n gstreamer1.0-%{oname}
Gstreamer 1.0 elements from %{oname}.


%prep
%setup -q 

%build
sed -i -e '/^[[:space:]]*test-io-stream-thread/d' tests/Makefile.am
autoreconf -fiv
%configure2_5x \
	--with-gstreamer \
	--with-gstreamer-0.10 \
	--enable-gupnp \
	--disable-static \
	--enable-compile-warnings=no

# disable rpath
sed -i 's|^hardcode_libdir_flag_spec=.*|hardcode_libdir_flag_spec=""|g' libtool
sed -i 's|^runpath_var=LD_RUN_PATH|runpath_var=DIE_RPATH_DIE|g' libtool

%make

%install
rm -rf %{buildroot}
%makeinstall_std

# don't ship .la
find %{buildroot} -name "*.la" -delete


%files examples
%defattr(-,root,root,-)
%{_bindir}/*-example

%files -n gstreamer0.10-%{oname}
%defattr(-,root,root,-)
%{_libdir}/gstreamer-0.10/libgstnice010.so

%files -n gstreamer1.0-%{oname}
%defattr(-,root,root,-)
%{_libdir}/gstreamer-1.0/libgstnice.so

%files utils
%defattr(-,root,root,-)
%doc COPYING README
%{_bindir}/stun*

%files -n %{libname}
%defattr(-,root,root)
%{_libdir}/*.so.%{major}*
%{_libdir}/girepository-1.0/Nice-%{gmajor}.typelib

%files -n %{develname}
%defattr(-,root,root,-)
%{_includedir}/%{oname}/*.h
%{_includedir}/stun/*.h
%{_includedir}/stun/usages/*.h
%{_libdir}/%{name}.so
%{_libdir}/pkgconfig/%{oname}.pc
%{_datadir}/gtk-doc/html/%{name}/*
%{_datadir}/gir-1.0/Nice-%{gmajor}.gir

%clean
rm -rf %{buildroot}


%changelog
* Fri Jan 01 2016 bb ,bb> 0.1.13-1pclos2016
- update

* Sat Aug 16 2014 bb <bb> 0.1.5-2pclos2014
- rebuild against updated libs

* Sun Mar 16 2014 bb <bb> 0.1.5-1pclos2014
- update

* Sat Jan 25 2014 bb <bb> 0.1.4-2pclos2014
- fix packages
- libgstnice010.so in 2 different packages

* Fri Sep 20 2013 pinoc <vogtpet at gmail.com> 0.1.4-1pclos2013
- 0.1.4
- removed la-files
- added gstreamer0.10-nice

* Sun Sep 25 2011 Texstar <texstar at gmail.com> 0.1.1-2pclos2011
- rebuild new gupnp stuff

* Sat Sep 25 2011 Texstar <texstar at gmail.com> 0.1.1-1pclos2011
- 0.1.1

* Sat Jul 24 2010 Texstar <texstar at gmail.com> 0.0.13-1pclos2010
- 0.0.13

* Thu Dec 24 2009 Texstar <texstar at gmail.com> 0.0.9-3pclos2010
- rebuild

* Sun Nov 22 2009 Texstar <texstar at gmail.com> 0.0.9-2pclos2010
- rebuild against updated libgupnp

* Wed Oct 21 2009 Texstar <texstar at gmail.com> 0.0.9-1pclos2010
- 0.0.9

